@echo off

CALL compare_versions.bat "%ONX_DIR%\CDevs\CDev_SpectroVue.dll" "CDev_SpectroVue.dll"
rem Copy for new version = 'true' or 'equal' because if equal we may still need to install l10n resource DLLs.
if NOT '%HAVE_NEW_VERSION%'=='false' (
	echo Installing Mutoh SpectroVue modular color device DLLs...
	copy /Y CDev_SpectroVue*.dll "%ONX_DIR%\CDevs"
) else if NOT exist "%ONX_DIR%\CDevs\CDev_SpectroVueDEU.dll" (
	echo Installing Mutoh SpectroVue modular color device RESOURCE DLLs...
	if exist "%ONX_DIR%\CDevs\CDev_SpectroVue.dll" echo CDev_SpectroVue.dll > temp_exclude.txt
	rem Only copy non-English resource DLLs unless ENU doesn't exist either.
	if exist "%ONX_DIR%\CDevs\CDev_SpectroVueENU.dll" echo CDev_SpectroVueENU.dll >> temp_exclude.txt
	if not exist temp_exclude.txt echo nothing to exclude > temp_exclude.txt
	xcopy /Y /EXCLUDE:temp_exclude.txt CDev_SpectroVue*.dll "%ONX_DIR%\CDevs"
)

set CDEVFILE="%ONX_DIR%Common\Color_Devs.Info"
rem Append the device info to Color_Devs.Info if the file already exists (don't overwrite).
call :find_in_file "SpectroVue" %CDEVFILE%
if '%FOUNDMATCH%'=='true' (
	echo SpectroVue is already installed.
	goto :cdev_done
)

if EXIST %CDEVFILE% (
	echo Appending to Color_Devs list...
	echo { >> %CDEVFILE%
  	echo   Devices {"SpectroVue"} >> %CDEVFILE%
  	echo   DLL_File { "CDev_SpectroVue.dll" } >> %CDEVFILE%
  	echo   Configs { "9600" } >> %CDEVFILE%
	echo   Flags { "REFLECTIVE|SPECTROPHOTOMETRIC|COLORIMETRIC|DENSITOMETRIC|NOCOMMDEVICE|TCPIPDEVICE" } >> %CDEVFILE%
	echo } >> %CDEVFILE%
) else (
	echo Installing Color_Devs.Info...
	copy /Y "Color_Devs.Info" %CDEVFILE% 
)
:cdev_done

goto :EOF


rem --------------------------------------------------------------------------
rem find_in_file subroutine
rem --------------------------------------------------------------------------
:find_in_file
echo Find %1 in %2
FOR /F "usebackq eol=; tokens=2 delims={}" %%i in ("%~2") do (
	if '"%~1"'=='%%i' (
		set FOUNDMATCH=true
		echo  Found match
		goto :EOF
	)
)
echo  Not found
goto :EOF
rem end of find_in_file

